> ## Documentation Index
> Fetch the complete documentation index at: https://docs.socq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Google 地图 Places

> 获取 Google 地图 的标准化公开 Places 数据。

# Google 地图 Places

获取 Google 地图 的标准化公开 Places 数据。

每个非空提交 URL 预留 `0.15` 积分。任务按每条成功返回的标准结果 `0.15` 积分结算，并退回未使用的预留积分。

## 请求体

```json theme={"system"}
{
  "urls": [
    "https://www.google.com/maps/place/Coffee%20Project%20New%20York%20%7C%20East%20Village/data=!4m7!3m6!1s0x89c2599b5a24d7fd:0x9e354f6cf514b9fc!8m2!3d40.7270884!4d-73.9893820!16s%2Fg%2F11c3svpqld!19sChIJ_dckWptZwokR_LkU9WxPNZ4?authuser=0&hl=en&rclk=1"
  ]
}
```

## 请求限制

* `urls` 为必填字段，必须包含至少一个非空字符串；该接口不接受 `results_limit`。
* 每个值都必须能解析出 `google.com`、`goo.gl` 或两者子域名的 hostname。包含 authority 和 hostname 时可使用任意 scheme，同时支持协议相对地址。
* 运行时不要求 `/maps/place` 等特定路径；内部结果上限等于提交的非空 URL 数量。

## 通过 MCP 使用

| 接口             | 值                                                           |
| -------------- | ----------------------------------------------------------- |
| REST           | `POST /v1/google-maps/place-details`                        |
| Compact MCP    | `socq_execute` with `endpoint: "google-maps/place-details"` |
| Typed MCP      | `socq_google_maps_place_details`                            |
| Exact-tool URL | `https://api.socq.ai/mcp?tools=google_maps_places`          |
| CLI            | `socq google-maps place-details`                            |

<Info>
  请求成功后会返回 `task_id`。使用 `socq_get_task` 查询任务，成功后从 `results.items` 读取标准化结果。
</Info>

## 结果字段

| 字段                   | 类型        | 可为空 | 说明                                       |
| -------------------- | --------- | --- | ---------------------------------------- |
| `id`                 | `string`  | 是   | 当前结果项的唯一标识。                              |
| `platform`           | `string`  | 否   | 结果所属的平台，例如 `instagram` 或 `linkedin`。     |
| `resource`           | `string`  | 否   | 该结果对应的 SocQ 资源，例如 `videos` 或 `comments`。 |
| `type`               | `string`  | 否   | 结果项的类别，例如 `video`、`post` 或 `comment`。    |
| `url`                | `string`  | 是   | 结果项的公开访问地址（如可获得）。                        |
| `published_at`       | `string`  | 是   | 源内容的发布时间（如可获得），使用 ISO 8601 格式。           |
| `collected_at`       | `string`  | 否   | SocQ 采集或处理该结果的时间，使用 ISO 8601 格式。         |
| `name`               | `string`  | 是   | 地点或商家名称。                                 |
| `text`               | `string`  | 是   | 结果项的主要文本内容。                              |
| `category`           | `string`  | 是   | 结果项所属分类。                                 |
| `address`            | `string`  | 是   | 公开街道地址或格式化地址。                            |
| `phone`              | `string`  | 是   | 公开联系电话。                                  |
| `website`            | `string`  | 是   | 账号、公司或广告主关联的网站。                          |
| `rating`             | `number`  | 是   | 平台报告的评分值。                                |
| `reviews_count`      | `integer` | 是   | 评价数量。                                    |
| `location`           | `object`  | 是   | 结果关联的地理位置信息。                             |
| `location`           | `object`  | 否   | 标准结果中的字段值。                               |
| `location.name`      | `string`  | 是   | 便于阅读的地点名称。                               |
| `location.city`      | `string`  | 是   | 城市名称。                                    |
| `location.region`    | `string`  | 是   | 地区、州或省份名称。                               |
| `location.country`   | `string`  | 是   | 国家或地区名称或代码。                              |
| `location.latitude`  | `number`  | 是   | 十进制度格式的纬度。                               |
| `location.longitude` | `number`  | 是   | 十进制度格式的经度。                               |

## 任务完成响应

```json theme={"system"}
{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "task_example",
    "public_id": "google-maps/place-details",
    "status": "succeeded",
    "result_count": 0,
    "credits_amount": 0,
    "results": {
      "schema_id": "place",
      "schema_version": "1.0",
      "items": [],
      "limit": 20,
      "next_cursor": null,
      "has_more": false
    }
  }
}
```


## OpenAPI

````yaml zh/api-manual/agent-api/agent-api.json POST /v1/google-maps/place-details
openapi: 3.1.0
info:
  title: SocQ Agent API 中文版
  version: v1-d93e6d4f8368
  description: 根据 SocQ 能力目录生成的异步社交数据 API。
servers:
  - url: https://api.socq.ai
security: []
paths:
  /v1/google-maps/place-details:
    post:
      tags:
        - google-maps
      summary: Google 地图 Places
      description: 获取 Google 地图 的标准化公开 Places 数据。
      operationId: socq_google_maps_place_details
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $schema: https://json-schema.org/draft/2020-12/schema
              type: object
              additionalProperties: false
              properties:
                urls:
                  type: array
                  items:
                    type: string
                    minLength: 1
                  description: >-
                    非空地址列表，解析后的主机名必须为 google.com、goo.gl 或两者的子域名；包含 authority 和
                    hostname 时可使用任意 scheme，同时支持协议相对地址，且不要求特定路径，至少提供 1 项。
              required:
                - urls
      responses:
        '200':
          description: 任务已受理
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentSubmitResponse'
        '422':
          description: Input validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentValidationErrorResponse'
      security:
        - bearerAuth: []
        - apiKeyAuth: []
components:
  schemas:
    AgentSubmitResponse:
      type: object
      properties:
        code:
          type: integer
          const: 200
          description: HTTP 业务状态码。
        data:
          type: object
          properties:
            task_id:
              type: string
              description: 任务 ID，用于查询任务状态和结果。
            status:
              type: string
              description: 任务当前状态。
            created_time:
              type:
                - string
                - 'null'
              description: 任务创建时间。
          required:
            - task_id
            - status
    AgentValidationErrorResponse:
      type: object
      properties:
        code:
          type: integer
          const: 422
        error:
          type: object
          properties:
            message:
              type: string
            type:
              type: string
            details:
              type: object
          required:
            - message
            - type
      required:
        - code
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: '使用 `Authorization: Bearer <token>` 请求头进行身份验证。'
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: 也可以通过 `x-api-key` 请求头提供 API Key。

````